system.net.http vulnerabilities

Provides a programming interface for modern HTTP applications, including HTTP client components that allow applications to consume web services over HTTP and HTTP components that can be used by both clients and servers for parsing HTTP headers. Commonly Used Types: System.Net.Http.HttpResponseMessage System.Net.Http.DelegatingHandler System.Net.Http.HttpRequestException System.Net.Http.HttpClient System.Net.Http.MultipartContent System.Net.Http.Headers.HttpContentHeaders System.Net.Http.HttpClientHandler System.Net.Http.StreamContent System.Net.Http.FormUrlEncodedContent System.Net.Http.HttpMessageHandler When using NuGet 3.x this package requires at least version 3.4.

Latest version: 4.3.4

Licenses detected

Continuously find & fix vulnerabilities like these in your dependencies. Test and protect your applications

Direct Vulnerabilities

Known vulnerabilities in the system.net.http package. This does not include vulnerabilities belonging to this package’s dependencies.

Vulnerability Vulnerable versions Snyk patch Published
  • H
Information Exposure
[2.1.0, 2.1.7),[2.2.0, 2.2.1) Not available 10 Jan, 2019
  • H
Information Disclosure
[,4.3.4) Not available 10 Oct, 2018
  • H
Improper Certificate Validation
[,4.1.2), [4.3,4.3.2) Not available 12 May, 2017
  • H
Privilege Escalation
[,4.1.2),[4.3,4.3.2) Not available 12 May, 2017
  • M
Authentication Bypass
[,4.1.2), [4.3,4.3.2) Not available 12 May, 2017
  • H
Denial of Service (DoS)
[,4.1.2), [4.3,4.3.2) Not available 09 May, 2017